/*************************************************************************************************************************
6. Create Inclusion/Exclusion Codes File 
**************************************************************************************************************************/

%let basename = C:/Public_Training_Materials/Lab;	

libname in "&basename./codes";
libname out "&basename./public_mpl1r_wp001_synpufs_v01/inputfiles";
%let wpnum = wp001 ; 
%let grouplist = typ_is typ_ich atyp_is atyp_ich ; 
%let groupcount = %sysfunc(Countw(&grouplist));	
options mlogic mprint symbolgen;
ods listing close;

%macro exclusioncreate(exclusionlist);

proc datasets lib=work nolist nowarn; 
	delete exclusion; 
run;
quit;

%let exclusioncount = %sysfunc(Countw(&&&exclusionlist));

%do a = 1 %to &exclusioncount;
	%let curr_name = %scan(&&&exclusionlist, &a);

	data work.excl;
	format group $40. stockgroup $30. caresettingprincipal $30. code $11. codecat $2. codetype $3. 
           condinclusion 8. subcondinclusion 8. condlevel $30. subcondlevel $30. 
		   condfrom 8. condto 8. codedays 8. codesupply 8. excludesupply $1. 
		   codepop $2. indexdate $30. rawlabdatetype $3. rawlabresult $30. ;

	set in.dementia;
	group = "&curr_name";
	stockgroup = compress (descrip, ", .//_-<>=;&[]'(){}%");
	caresettingprincipal = " ";
	code = compress (code1, ' .//_-()%');
	codecat = codecat1;
	codetype = codetype1;

	condinclusion = 0; /* Condition Exclusion Indicator; Numerical; Valid values: 0 or 1 to exclude or include if evidence of condition; Required */
	condlevel = "dementia"; /* Name of inclusion/exclusion condition; Required*/
	condfrom = -183; /* Evaluation Period Start; Numerical; Required */
	condto = 0; /* Evaluation Period End; Numerical; Required */
	codedays = 1; /* Indicates number of instances the criteria should be found in evaluation period; Numerical; Required */

	subcondinclusion = 1; 
	subcondlevel = "dementia"; 
	codesupply= .;
	excludesupply= "N";
	codepop="";
	indexdate="";
	rawlabdatetype = "";
	rawlabresult = "";
	drop code1 codecat1 codetype1 descrip ;
	run;

	proc append data = work.excl 
			base = work.exclusion force;
	run;
%end;

data out.&wpnum._exclusion;
	set work.exclusion;
run;

%mend;

%exclusioncreate(grouplist);

